package Common.Visual.Trees;
import Common.MainModule_;
import Common.Visual.Selectable;

import javax.swing.tree.DefaultMutableTreeNode;
public class SelectableTree extends DataTree {
    public SelectableTree(DefaultMutableTreeNode root_in) {
        super(root_in);
    }
    @Override
    public void LeftMouseAction1() {
        Object element = MainModule_.instance.get(currentName());
        if ((element instanceof Selectable)) {
            ((Selectable) element).SwitchSelection();
            updateUI();
        }
    }
}
